Redmine - Defect #2684

Redmine Crashing on Ubuntu System
2009-02-05 23:03 - Brandon Dixon

Status: Closed Start date: 2009-02-05
Priority: High Due date:

Assignee: % Done: 0%
Category: Projects Estimated time: 0.00 hour

Target version:

Resolution: Duplicate Affected version:

Description
All,

| have redmine 0.8.0 downloaded from the website. | am running:

e Ubuntu 8.04 server (virtual machine)
MySQL 5.0

Ruby 1.8.6,

mysql (2.7)

rmagick (2.9.0)

Redmine has been working great, but lately | have noticed that Redmine will start to run extremely slow. Enough that a lot of my
users think its down when really its taking minutes to continue on. | took a look at the Mongrel logs and see no errors and the same
for Redmine itself. | do however notice that the mongrel instance itself will be consuming about 4.3% of my memory and some CPU
cycles.

I am not sure if thats the issue itself or if it could be something else. | have Redmine running on port 80 and shutdown Apache so |
could avoid any conflicts. The weird thing is that the Redmine instance will drastically slow down, but then a few minutes later it will
be fine as if nothing were wrong at all. | do not want to resort to having to restart Redmine everyday and would really like some help
with this. | love using Redmine and | don't want to switch because of some rogue issue.

Related issues:
Is duplicate of Redmine - Defect #633: Redmine crashes randomly Closed 2008-02-12

History

#1 - 2009-02-06 06:00 - Kioma Aldecoa

You know, | saw this recently with mongrel instances. You might try apache+fastcgi instead, it seems much more stable and when | load tested it
was actually faster than mongrels. Still worth fixing the mongrel bugs, but you might try that just to get working.

#2 - 2009-02-06 16:06 - Jack Christensen

| would also suggest apache + passenger. Works great here on Ubuntu 8.10 in a VM.

#3 - 2009-03-07 13:44 - Jean-Philippe Lang
- Status changed from New to Closed

- Resolution set to Duplicate

Closing as a dup of #633.
